<?php

class Conectar 
{
	public static function con()
	{
		$conexion=mysql_connect("localhost","root","");
		mysql_query("SET NAMES 'utf8'");
		mysql_select_db("bdsipa");
		return $conexion;
	}
}

class PersonalAsistencial{
	
	private $personal=array();
	private $lispersonal=array();
	
	public function get_personal()
	{
		$sql="select * from tb_usuasist";
		
		$res=mysql_query($sql,Conectar::con());
		
		while ($reg=mysql_fetch_assoc($res))
		{
			$this->personal[]=$reg;
		}
			return $this->personal;
	}	
	
	public function search_personal($idug)
	{
		$sql="select * from tb_usuasist where ug_id ='$idug'";
		
		$res=mysql_query($sql,Conectar::con());
		
		while ($reg=mysql_fetch_assoc($res))
		{
			$this->personal[]=$reg;
		}
			return $this->personal;
	}
	
	public function upestado_personal($idug,$tipo)
	{
	
		switch($tipo){
		  case 1: $sql="update tb_usuasist ua_estado = 1 where ug_id ='$idug'"; break;
		  case 2: $sql="update tb_usuasist ua_estado = 2 where ug_id ='$idug'"; break;
		  case 3: $sql="update tb_usuasist ua_estado = 3 where ug_id ='$idug'"; break;
		}
		
		$res=mysql_query($sql,Conectar::con());
		echo "<script type='text/javascript'>
		alert('Cambio de Estado del Personal Realizado');
		window.location='index.php';
		</script>";
	}
	
	public function update_personal($idug,$tipo)
	{
		//modificar los datos del personal	
		$sql="update tb_usuasist ua_estado = 1 where ug_id ='$idug'";
		$res=mysql_query($sql,Conectar::con());
		echo "<script type='text/javascript'>
		alert('Cambio de Estado del Personal Realizado');
		window.location='index.php';
		</script>";
	}
	
	//elimina un personal
	public function delete_personal($idug,$tipo)
	{
		
		$sql="delete from tb_usuasist where ug_id ='$idug'";
		$res=mysql_query($sql,Conectar::con());
		echo "<script type='text/javascript'>
		alert('El Personal fue Eliminado');
		window.location='index.php';
		</script>";
	}	
	
	//listar personal con criterio de nombre,area,servicio,tipo
	public function listar_personal($nombre,$idj,$ids,$idsa, $tipo, $anno, $mes)
	{
	  $sql="select *,CONCAT(a.ua_apepat,' ',a.ua_apemat,' ',a.ua_nom) as nombre from 
	        tb_usutrab b  inner join tb_usuasist a on a.ug_id= b.ug_id where b.j_id='$idj' and b.s_id='$ids' and
			b.tp_id='$per' and b.ut_idserva='$ids' and b.uap_anno='$anno' and b.uap_mes ='$mes' order by nombre";

			$res=mysql_query($sql,Conectar::con());
		
			while ($reg=mysql_fetch_assoc($res))
			{
				$this->lispersonal[]=$reg;
			}
				return $this->lispersonal;
	
	}

}

$lista = new PersonalAsistencial;
$lista->


?>